package com.iamberry.wechat.service.mapper;

import java.util.List;

import com.iamberry.wechat.core.entity.drp.PlaceOrder;


/**
 * 
 * @author 欧阳明
 * @description sql 分销订货接口映射类
 * @date: 2016-4-18
 */
public interface PlaceOrderMapper {

	//获取单个分销订单
	public PlaceOrder getOnePlaceOrder(String id);
	//获取所有的订单  可支持条件查询
	public List<PlaceOrder> selectAll(PlaceOrder placeOrder);
	//获取所有的订单  可支持条件查询
	public List<PlaceOrder> selectAllMore(PlaceOrder placeOrder);
	//插入数据
	public int insert(PlaceOrder placeOrder);
	//更新数据
	public int update(PlaceOrder placeOrder);
	//删除数据
	public int delete(PlaceOrder placeOrder);
	//获取信息结果集总数
	public int getAllCount(PlaceOrder placeOrder);
	
}
